> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/digital-river-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/digital-river-api/financial-reporting/payouts/returning-a-list-of-payout.md).

# Returning a list of payouts

Retrieving a list of payouts lets you gain insights into your platform's financial transactions. By leveraging the filtering and pagination options available, you can access specific payouts based on various parameters such as time of creation, update timestamps, payer and payee details, and more. This capability equips you with detailed information crucial for transactional analysis and financial reporting, ensuring that you have everything you need to stay on top of your payout activities.

## Setting the payout query parameters

You can set the appropriate query parameters to manage and analyze payouts. By defining these parameters, you can efficiently navigate payout records based on attributes such as creation time, update time, pagination pointers, identifiers, and various transaction details.&#x20;

| Parameter     | Optional/Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------- | ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| createdTime   | Optional          | <p>A filter on the list based on the <strong>createdTime</strong> field. The value can be a string with an ISO-601 UTC format datetime, or it can be a dictionary with the following options:</p><ul><li><strong>gt</strong>–return values where the <code>createdTime</code> field is after this timestamp</li><li><strong>gte</strong>–return values where the <code>createdTime</code> field is after or equal to this timestamp</li><li><strong>lt</strong>–return values where the <code>createdTime</code> field is before this timestamp</li><li><strong>lte</strong>–return values where the <code>createdTime</code> field is before or equal to this timestamp</li></ul>        |
| updatedTime   | Optional          | <p></p><p>A filter on the list based on the <strong>updatedTime</strong> field. The value can be a string with an ISO-601 UTC format datetime, or it can be a dictionary with the following options:</p><ul><li><strong>gt</strong>–return values where the <code>updatedTime</code> field is after this timestamp</li><li><strong>gte</strong>–return values where the <code>updatedTime</code> field is after or equal to this timestamp</li><li><strong>lt</strong>–return values where the <code>updatedTime</code> field is before this timestamp</li><li><strong>lte</strong>–return values where the <code>updatedTime</code> field is before or equal to this timestamp</li></ul> |
| endingBefore  | Optional          | A cursor for use in pagination. The `endingBefore` parameter is an object identifier that defines your place in the list. For instance, if you make a list request and receive 100 objects starting with `xyz`, your subsequent calls can include `endingBefore=xyz` to fetch the previous page of the list.                                                                                                                                                                                                                                                                                                                                                                              |
| startingAfter | Optional          | A cursor for use in pagination. The `startingAfter` parameter is an object identifier that defines your place in the list. For instance, if you make a list request and receive 100 objects ending with `xyz`, your subsequent calls can include `startingAfter=xyz` to fetch the next page of the list.                                                                                                                                                                                                                                                                                                                                                                                  |
| limit         | Optional          | A limit on the number of objects returned. The limit can range between 1 and 100, and the default is 10.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ids           | Optional          | Only return objects with these identifiers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| payoutTime    | Optional          | <p>A filter on the list based on the payout <code>payoutTime</code> field. The value can be a string with an ISO-601 UTC format datetime or it can be a dictionary with the following options:</p><ul><li><strong>gt</strong>–return values where the <code>payoutTime</code> field is after this timestamp</li><li><strong>gte</strong>–return values where the <code>payoutTime</code> field is after or equal to this timestamp</li><li><strong>lt</strong>–return values where the <code>payoutTime</code> field is before this timestamp</li><li><strong>lte</strong>–return values where the <code>payoutTime</code> field is before or equal to this timestamp</li></ul>           |
| payerId       | Optional          | Only return payouts with this payer identifier.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| payerName     | Optional          | Only return payouts with this payer name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| payeeId       | Optional          | Only return payouts with this payee identifier.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| payeeName     | Optional          | Only return payouts with this payee name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| currency      | Optional          | Only return sales transactions in this currency.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| amount        | Optional          | <p>A filter on the list based on the payout <code>amount</code> field. The value can be a string or it can be a dictionary with the following options:</p><ul><li><strong>gt</strong>–return values where the <code>amount</code> field is greater than this amount</li><li><strong>gte</strong>–return values where the <code>amount</code> field is greater than or equal to this amount</li><li><strong>lt</strong>–return values where the <code>amount</code> field is less than this amount</li><li><strong>lte</strong>–return values where the <code>amount</code> field is less than or equal to this amount</li></ul>                                                           |

## Get payouts request and response example

You can use a `GET /payouts` request to retrieve a list of payouts. Upon a successful request, you'll receive a response containing an array of payout objects, which include essential details such as creation time, update time, payout amount, currency, and identifiers for the payer and payee. This comprehensive data facilitates effective management and analysis of your payouts.

Retrieve the details of payouts with a `GET` request:

{% tabs %}
{% tab title="cURL" %}

```http
curl https://api.digitalriver.com/payouts
```

{% endtab %}
{% endtabs %}

A `200 OK` response returns an array of [Payout](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/payouts) objects:

{% tabs %}
{% tab title="JSON" %}

```javascript
{
  "hasMore": true,
  "data": [
    {
      "id": "2000028600_1410_2019",
      "createdTime": "2019-04-25T20:36:00Z",
      "updatedTime": "2019-04-26T20:36:00Z",
      "payoutTime": "2019-04-25T00:00:00Z",
      "currency": "USD",
      "amount": 1180.26,
      "payerId": "1410",
      "payerName": "DR globalTech, Inc.",
      "payeeId": "0013900100",
      "payeeName": "ACME, Inc.",
      "liveMode": true
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Key payout attributes

The following information details the key attributes returned in response to a request for [payout ](/digital-river-api/financial-reporting/payouts.md)information. For a complete list, refer to the [Payouts API reference](https://docs.digitalriver.com/digital-river-api-reference/2021-12-13/payouts).

### id

A unique identifier for the payout.

### createdTime

The time when the payout was created in the reporting environment.

### updatedTime

The time when the payout was updated in the reporting environment.

### payoutTime

The time when the payout was transacted.

### currency

The three-letter ISO currency code represents the currency used in the payout.

### amount

Represents the total payout amount.

### payerId

The ID of the payer.

### payerName

The name of the payer.

### payeeId

The ID of the payee.

### payeeName

The name of the payee.

### liveMode

If the value is True, the object exists in live mode. If the value is False, the object exists in test mode. Only live mode is supported.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalriver.com/digital-river-api/financial-reporting/payouts/returning-a-list-of-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
